
/*-------------------------------------------------------------------------
                         N X D A T A

  Some  routines for handling Nexus data file writing.

  Mark Koennecke, April 1997
  
  copyright: see implementation file.
--------------------------------------------------------------------------*/
#ifndef SICSNXDATA
#define SICSNXDATA

   char *SNXMakeFileName(SicsInterp *pSics, SConnection *pCon);

   NXhandle SNXStartFile(SConnection *pCon, SicsInterp *pSics); 

   int SNXStartEntry(NXhandle Nfil, int iNew, SicsInterp *pSics);

   void SNXFormatTime(char *pBuffer, int iBufLen);

  int SNFinishFile(NXhandle Nfil);

  int SNMakeDMC(SConnection *pCon, SicsInterp *pSics);

int SNStoreDMC(SConnection *pCon, SicsInterp *pSics, void *pData, int argc,
           char *argv[]);
  
#endif 

